


Name: dragon
Summary: A simple video player for Plasma
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org/applications/multimedia/dragonplayer/
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kconfig-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: knotifications-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kparts-devel
BuildRequires: solid-devel
BuildRequires: kdoctools-devel
BuildRequires: kxmlgui-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kdbusaddons-devel
BuildRequires: phonon4qt5-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:		phonon4qt5-vlc

%description
Dragon Player is a multimedia player where the focus is on simplicity,
instead of features. Dragon Player does one thing, and only one thing,
which is playing multimedia files. It's simple interface is designed not
to get in your way and instead empower you to simply play multimedia
files.

%files 
%_kf5_bindir/dragon
%_sysconfdir/xdg/dragonplayerrc
%_kf5_iconsdir/*/*/*/*
%_kf5_mandir
%_kf5_datadir/applications/*.desktop
%_kf5_services/ServiceMenus/dragonplayer_play_dvd.desktop
%_kf5_datadir/solid/actions/dragonplayer-openaudiocd.desktop
%_kf5_datadir/solid/actions/dragonplayer-opendvd.desktop
%_kf5_datadir/metainfo/org.kde.dragonplayer.appdata.xml
%_kf5_datadir/locale
/usr/lib64/qt5/plugins/kf5/parts/dragonpart.so

#------------------------------------------------------------------------------

%package handbook
Summary: dragon handbook
Requires: %{name} >= %{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides dragon handbook

%files handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category='AudioVideo' \
  --remove-category='Player' \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

